package lab02;

public class TypeB {
    public static final int TABLE_SIZE = 10;
    
    /**
     * Finds the max element in a generic array 
     * @param arr - The array to look in
     * @return the max element in the array
     */
    public static <AnyType extends Comparable<? super AnyType>> 
        AnyType findMax( AnyType[] arr ) {

        int maxIndex = 0;
        for( int i = 1; i < arr.length; i++ )	
            if( arr[i].compareTo( arr[maxIndex] ) > 0 )
                maxIndex = i;
        return arr[maxIndex]; 
    }
    
    public static void main(String[] args) {
    	//instantiate and fill an array of Integers
        Integer t[] = new Integer[TABLE_SIZE];
        for(int i = 0; i < TABLE_SIZE ; i++) {
            t[i] = i * 2;
        }
        
        //find and print max value
        int maxValue = findMax(t);
        
        System.out.println("Max is : " + maxValue);
        
    }

}